//
//  Created by Lukas Hlavaty on 04.01.17.
//  Copyright (c) 2017 Lukas Hlavaty. All rights reserved.
//
#ifndef KOSTKA_FULL_H
#define KOSTKA_FULL_H

#include "Kostka.h"
#include <vector>

class Kostka_full : public Kostka
{
    public:
        Kostka_full();
        int hodKostkou(bool noveKolo);
        int hodKostkou(bool noveKolo, int pocetHran);
        int opakujHod();  //opakovani hodu, nevztvari novy zaznam, meni hod posledni
        void prazdnyHod(); //pripisuje do vektoru nulu

        int vratPosledniHodVect();

        int vratPocetKolVect();   //vraci celkovz pocet kol
        int vratPocetHoduVect(int kolo);  //vraci pocet hodu v konkretnim kole
        int vratKonkretniHod(int kolo, int hod); //vraci jeden hod urciteho kola urcite poradi

        void vypisHodyVse();
        void vypisHodyPodleKola(int kolo);

    protected:
        std::vector<std::vector<int>> m_vectHodu;

    private:
};

#endif // KOSTKA_FULL_H
